DMX::Personality Class Reference

The Personality class. More...

`#include <personality.h>`

## Public Member Functions

| Personality ()
| Personality::Personality.
virtual | ~Personality ()
| Personality::~Personality.
uint16_t | footprint () const
| Personality::footprint. More...
std::string | description () const
| Personality::description. More...

## Protected Attributes

std::string | description_
| text description
uint16_t | footprint_
| DMX footprint size.

## Detailed Description

The Personality class.

## Member Function Documentation

## description()

std::string DMX::Personality::description | ( |  | ) | const

Personality::description.

Returns

## footprint()

uint16_t DMX::Personality::footprint | ( |  | ) | const

Personality::footprint.

Returns

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmx/personality.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmx/personality.cpp